Skip to main content
POST
Test Inbound Call Webhook

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer

Path Parameters

agent_id
string<uuid>
required

The agent ID whose inbound_call webhook should be tested

Response

Inbound call webhook test result

Response from inbound call webhook test endpoint

status
enum<string>
required

Test result status

Available options:
success,
failed
message
string
required

Human-readable result description

webhook_url
string
required

Inbound call webhook URL that was tested

request_payload
Request Payload · object
required

Synthetic inbound-call payload sent to the webhook

raw_response
Raw Response · object | null

Raw JSON response returned by the webhook

validated_response
Validated Response · object | null

Validated and normalized subset of the webhook response

error
string | null

Error details if the test delivery failed